Skip to main content

Freeze a group channel

Freeze one or more group channels. When a group channel is frozen, all members are prevented from sending messages via the client SDK.

  • The freeze takes effect immediately.
  • The freeze persists even if the group channel is dissolved and recreated. To lift the freeze, call Unfreeze a group channel.
tip
  • Members on the allowed senders list can still send messages via the client SDK when the channel is frozen.
  • Messages sent via the Platform Chat API are not affected by the freeze.

Request

POST: https://[Base URL](/platform-chat-api/base-url)/v4/group-channel/freeze-list/add

Rate limit: 100 per second

Signature: Required. See API request signature.

Request body

Content type: application/json

ParameterTypeRequiredDescription
channelIdsArrayYesGroup channel IDs to freeze. Max 20 per request.

Request example

HTTP
POST /v4/group-channel/freeze-list/add HTTP/1.1
Host: api.sg-light-api.com
App-Key: c9kqb3rdkbb8j
Nonce: 97
Timestamp: 1480479442
Signature: 9774e3d91656dc92df8aff294d46d6a506412538
Content-Type: application/json

{
"channelIds": ["XklWnVzXm", "LklWnVzXq"]
}

Response

FieldTypeDescription
codeNumberReturn code. 0 indicates success.

Response example

HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{"code":0}